<section <?php if(empty($_GET['context']) || $_GET['context'] !== 'edit') echo get_block_wrapper_attributes( array('class' => "bg-white", ) ); else echo 'data-wp-block-props="true"'; ?>>
    <div class="wave-top w-full text-coolGray-900">
        <svg viewBox="0 0 1440 116" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M1440 64.5909H1090.08C833.336 64.5909 580.229 -7.62939e-06 360 -7.62939e-06C139.771 -7.62939e-06 0 64.5909 0 64.5909V116H1440V64.5909Z" fill="currentColor"></path>
        </svg>
    </div>
    <div class="bg-coolGray-900">
        <div class="container px-4 mx-auto">
            <div class="flex flex-wrap pt-24 pb-12 -mx-4">
                <div class="w-full md:w-1/2 lg:w-4/12 px-4 mb-16 lg:mb-0"><a class="inline-block mb-4" href="<?php echo esc_url( home_url() ); ?>"> <?php if ( !PG_Blocks::getImageSVG( $args, 'logo', false) && PG_Blocks::getImageUrl( $args, 'logo', 'full' ) ) : ?><img class="h-8" src="<?php echo PG_Blocks::getImageUrl( $args, 'logo', 'full' ) ?>" alt=""/><?php endif; ?><?php if ( PG_Blocks::getImageSVG( $args, 'logo', false) ) : ?><?php echo PG_Blocks::mergeInlineSVGAttributes( PG_Blocks::getImageSVG( $args, 'logo' ), array( 'class'=> 'h-8' ) ) ?><?php endif; ?> </a>
                    <p class="text-base md:text-lg text-coolGray-400 font-medium lg:w-64"><?php echo PG_Blocks::getAttribute( $args, 'tagline' ) ?></p>
                </div>
                <div class="w-full md:w-1/4 lg:w-2/12 px-4 mb-16 lg:mb-0">
                    <h3 class="mb-5 text-lg font-bold text-white"><?php echo PG_Blocks::getAttribute( $args, 'menu_1_title' ) ?></h3>
                    <?php if ( has_nav_menu( 'primary' ) ) : ?>
                        <?php
                            PG_Smart_Walker_Nav_Menu::$options['template'] = '<li class="mb-4 {CLASSES}" id="{ID}"><a class="inline-block text-coolGray-400 hover:text-coolGray-500 font-medium" {ATTRS}>{TITLE}</a>
                                                                </li>';
                            wp_nav_menu( array(
                                'container' => '',
                                'theme_location' => 'primary',
                                'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                'walker' => new PG_Smart_Walker_Nav_Menu()
                        ) ); ?>
                    <?php endif; ?>
                </div>
                <div class="w-full md:w-1/4 lg:w-2/12 px-4 mb-16 lg:mb-0">
                    <h3 class="mb-5 text-lg font-bold text-white"><?php echo PG_Blocks::getAttribute( $args, 'menu_2_title' ) ?></h3>
                    <?php if ( has_nav_menu( 'footer_right' ) ) : ?>
                        <?php
                            PG_Smart_Walker_Nav_Menu::$options['template'] = '<li class="mb-4 {CLASSES}" id="{ID}"><a class="inline-block text-coolGray-400 hover:text-coolGray-500 font-medium" {ATTRS}>{TITLE}</a>
                                                                </li>';
                            wp_nav_menu( array(
                                'container' => '',
                                'theme_location' => 'footer_right',
                                'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                'walker' => new PG_Smart_Walker_Nav_Menu()
                        ) ); ?>
                    <?php endif; ?>
                </div>
                <div class="w-full md:w-1/3 lg:w-4/12 px-4">
                    <h3 class="mb-5 text-lg font-bold text-white"><?php echo PG_Blocks::getAttribute( $args, 'form_title' ) ?></h3>
                    <?php $mailer = new PG_Simple_Form_Mailer(); ?>
                    <?php $mailer->process( array(
                            'form_id' => 'contact_form_mailer_id',
                            'title' => 'New newsletter subscriber'
                    ) ); ?>
                    <?php if( !$mailer->processed || $mailer->error) : ?>
                        <form class="flex flex-wrap" id="contact_form_mailer_id" action="<?php echo '#contact_form_mailer_id'; ?>" method="post" onsubmit="event.stopImmediatePropagation();event.stopPropagation();">
                            <div class="w-full lg:flex-1 py-1 lg:py-0 lg:mr-3">
                                <input class="px-3 w-full h-12 text-coolGray-900 outline-none placeholder-coolGray-500 border border-coolGray-200 focus:ring-2 focus:ring-green-500 focus:ring-opacity-50 rounded-lg shadow-xsm" placeholder="Your email" name="contact_form_mailer_id_1" value="<?php echo ( isset( $_POST['contact_form_mailer_id_1'] ) ? $_POST['contact_form_mailer_id_1'] : '' ); ?>"/>
                            </div>
                            <div class="w-full lg:w-auto py-1 lg:py-0">
                                <button class="inline-block py-4 px-5 w-full leading-4 text-green-50 font-medium text-center bg-green-500 hover:bg-green-600 focus:ring-2 focus:ring-green-500 focus:ring-opacity-50 rounded-md shadow-sm" href="#" type="submit">
                                    <?php _e( 'Subscribe', 'flexwebsite' ); ?>
                                </button>
                            </div>
                            <input type="hidden" name="contact_form_mailer_id" value="1"/>
                        </form>
                    <?php endif; ?>
                    <?php if( $mailer->processed ) : ?>
                        <?php echo $mailer->message; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="border-b border-coolGray-800"></div>
        <p class="py-10 md:pb-16 text-sm text-coolGray-400 font-medium text-center">&copy; <span><?php echo date( 'Y' ); ?></span> <?php _e( 'Flex. All rights reserved.', 'flexwebsite' ); ?></p>
    </div>
</section>