<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/hero',
            'title' => __( 'Hero', 'flexwebsite' ),
            'category' => 'flex',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/hero/hero.js',
            'attributes' => array(
                'label' => array(
                    'type' => 'text',
                    'default' => 'Header'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'A small business is only as good as its tools.'
                ),
                'description' => array(
                    'type' => 'text',
                    'default' => 'We’re different. Flex is the only saas business platform that lets you run your business on one platform, seamlessly across all digital channels.'
                ),
                'request_link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                ),
                'request_label' => array(
                    'type' => 'text',
                    'default' => 'Request a Demo'
                ),
                'signup_link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'signup_label' => array(
                    'type' => 'text',
                    'default' => 'Sign Up'
                ),
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/header.jpg' ), 'size' => '')
                )
            ),
            'example' => array(
'label' => 'Header', 'title' => 'A small business is only as good as its tools.', 'description' => 'We’re different. Flex is the only saas business platform that lets you run your business on one platform, seamlessly across all digital channels.', 'request_link' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'request_label' => 'Request a Demo', 'signup_link' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'signup_label' => 'Sign Up', 'image' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/header.jpg' ), 'size' => '')
            ),
            'dynamic' => false
        ) );
